IP blocks

List IP blocks

get

List all reserved IP blocks.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
offsetinteger · int32Optional

The first element (from the complete list of the elements) to include in the response (used together with limit for pagination).

Default: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return (use together with offset for pagination).

Default: 100
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
200

Successful operation

application/json
get
/ipblocks

Reserve a IP Block

post

Reserves a new IP block.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
idstringRead-onlyOptional

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptional

URL to the object representation (absolute path).

Example: <RESOURCE-URI>
Responses
post
/ipblocks

Retrieve IP blocks

get

Retrieve the properties of the specified IP block.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
ipblockIdstringRequired

The unique ID of the IP block.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
200

Successful operation

application/json
get
/ipblocks/{ipblockId}

Modify a IP Block by ID

put

Modifies the properties of the specified IP block.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
ipblockIdstringRequired

The unique ID of the IP block.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
idstringRead-onlyOptional

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptional

URL to the object representation (absolute path).

Example: <RESOURCE-URI>
Responses
put
/ipblocks/{ipblockId}

Delete IP blocks

delete

Remove the specified IP block.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
ipblockIdstringRequired

The unique ID of the IP block.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
delete
/ipblocks/{ipblockId}

No content

Partially modify IP blocks

patch

Update the properties of the specified IP block.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
ipblockIdstringRequired

The unique ID of the IP block.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
ipsstring[]Read-onlyOptional

Collection of IPs, associated with the IP Block.

Example: ["22.231.113.64","22.231.113.65","22.231.113.66"]
locationstringRequired

Location of that IP block. Property cannot be modified after it is created (disallowed in update requests).

Example: us/las
sizeinteger · int32Required

The size of the IP block.

Example: 5
namestringOptional

The name of the resource.

Example: My resource
Responses
patch
/ipblocks/{ipblockId}

Last updated

Was this helpful?